Pregunta sobre WP Statistics de Wordpress:

La actualizaci贸n a 12.6.4 da como resultado un error fatal con la clase 芦Vectorface Shepherd Shepherd禄

Un usuario pregunt贸 馃憞

Fatal error: Class 'VectorfaceWhipWhip' not found in /kunden/redacted/webseiten/redacted/wp-content/plugins/wp-statistics/includes/classes/class-wp-statistics.php on line 785

La versi贸n anterior de WP Statistics funcion贸 perfectamente. WP versi贸n 5.1.1 PHP que se ejecuta en el servidor es un poco antiguo (5.6.34), 驴es esta la raz贸n?

Este tema fue modificado hace 1 a帽o, 8 meses por.

(@mehrshaddarzi)

Hace 1 a帽o, 8 meses

@veganista

Hola, Este paquete se elimina en la versi贸n final. su actualizaci贸n no parece estar completa. descargue el archivo zip de la 煤ltima versi贸n de WP-Statistics y c谩rguelo en su servidor.

https://downloads.wordpress.org/plugin/wp-statistics.12.6.4.zip

despu茅s de instalar una nueva versi贸n. vaya a la p谩gina de administraci贸n de configuraci贸n de estad铆sticas de WP (pesta帽a IP de visitante) y seleccione su m茅todo para obtener la IP de usuario.

Esta respuesta fue modificada hace 1 a帽o, 8 meses por. Esta respuesta fue modificada hace 1 a帽o, 8 meses por. Esta respuesta fue modificada hace 1 a帽o, 8 meses por.

(@veganista)

Hace 1 a帽o, 8 meses

Ahora he desactivado el plugin.

(@albertixcom)

Hace 1 a帽o, 8 meses

Hola,

misma pregunta, he rebajado a 12.6.3 (buen trabajo)

(@veganista)

Hace 1 a帽o, 8 meses

隆Gracias @mehrshaddarzi! Lo que hice antes, porque el error era fatal e irrecuperable, fue conectarme a trav茅s de FTP y eliminar los archivos del plugin. Ahora instal茅 12.6.4 desde cero y, de hecho, funciona de nuevo como se esperaba. Todav铆a ten铆a acceso a los registros y preferencias anteriores.

Me pregunto si realmente hay un problema en el procedimiento de actualizaci贸n (haga clic en el plugin de actualizaci贸n en la interfaz de WP en lugar de instalarlo manualmente) que no elimine la biblioteca anterior, por lo que debe hacerse manualmente. 驴Quiz谩s quieras comprobar?

De lo contrario, este problema se resuelve en lo que a m铆 respecta. 隆Gracias por tu trabajo!

Esta respuesta fue modificada hace 1 a帽o, 8 meses por. Esta respuesta fue modificada hace 1 a帽o, 8 meses por.

(@albertixcom)

Hace 1 a帽o, 8 meses

Vendido

Mi WEBSERVER se trata de NGINX y PHP7.2-FPM con el m贸dulo APC habilitado. El m贸dulo APC realiz贸 todas las rutinas de carga autom谩tica del compositor. Despu茅s de recargar el servicio PHP-FPM, todo funciona muy bien.

Gracias por tu gran publicaci贸n.

(@cim)

Hace 1 a帽o, 7 meses

Apenas me di cuenta de esto ahora. Afortunadamente, los visitantes vieron la versi贸n en cach茅 fastcgi del sitio, por lo que ese no fue el caso para ellos. Tuve que reiniciar php-fpm para solucionar este problema, probablemente debido al almacenamiento de c贸digo antiguo con memoria.

Esta respuesta fue modificada hace 1 a帽o, 7 meses.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *